on:
  push:
jobs:
  check:
    runs-on: nixos
    strategy:
      matrix:
        check:
          - treefmt
    steps:
      - uses: 'https://git.salame.cl/actions/checkout@11bd71901bbe5b1630ceea73d27597364c9af683' # v4
      - name: Run checks
        run: |
          nix --version
          # shellcheck disable=SC2016
          nix build --print-build-logs '.#checks.x86_64-linux.${{ matrix.check }}'
  report-size:
    runs-on: nixos
    needs: check
    steps:
      - uses: 'https://git.salame.cl/actions/checkout@11bd71901bbe5b1630ceea73d27597364c9af683' # v4
      - run: nix --version
      - name: Create Size Report
        uses: ./
        with:
          # Create a comment on the associated PR
          comment-on-pr: ${{ github.ref_name != 'main' }}
          # Generate artifacts on main (to speed up comparisons)
          # generate-artifact: ${{ github.ref_name == 'main' }}
          # Always generate artifacts for testing purposes
          generate-artifact: 'true'
          # Generate comparisons to main
          do-comparison: 'true'
          # This job's name (so we can find the artifacts)
          job-name: report-size
  report-download-check:
    runs-on: nixos
    needs: report-size
    steps:
      - name: Download previous report
        uses: https://git.salame.cl/actions/download-artifact@d8d0a99033603453ad2255e58720b460a0555e1e # v4
        with:
          name: report.json
      - name: Verify report exists
        run: |
          cat report.json
